<!--
SPDX-FileCopyrightText: 2023 - 2024 Daniel Wolf <nephatrine@gmail.com>

SPDX-License-Identifier: ISC
-->

[Git](https://code.nephatrine.net/NephNET/builder-archlinux/src/branch/master) |
[Docker](https://hub.docker.com/r/nephatrine/nxb-archlinux/)

# NXBuilder

This docker image contains the C/C++ build environment I use for projects. It is
intended to be used by a CI/CD service to perform builds and not kept running
beyond that. It can also be used as a quick "cleanroom" to test builds in.

### Base OS:

- [Arch Linux](https://archlinux.org/)

### Compilers

- [Clang](https://clang.llvm.org/)
- [GCC](https://gcc.gnu.org/)
- [Go](https://go.dev/)

### Other Tools

- [CMake](https://cmake.org/)
- [Doxygen](http://www.doxygen.nl/)
- [M.CSS](https://mcss.mosra.cz/documentation/doxygen/)
- [Ninja](https://ninja-build.org/)
- [NPM](https://npmjs.com/)
- [TeX Live](https://www.tug.org/texlive/)

You can spin up a quick temporary test container like this:

~~~
docker run --rm -ti nephatrine/nxb-archlinux:latest /bin/bash
~~~
